// ChildFrm.cpp : implementation of the CChildFrame class
//
#include "stdafx.h"
#include "resource.h"

#include "ChildFrm.h"
#include "MetafileTreeView.h"
#include "ImageView.h"
#include "ControlView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildFrame

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
END_MESSAGE_MAP()


// CChildFrame construction/destruction

CChildFrame::CChildFrame()
{
        // TODO: add member initialization code here
}

CChildFrame::~CChildFrame()
{
}

BOOL CChildFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
        if(!m_wndSplitter.CreateStatic(this, 1, 3))
           return FALSE; // failed to create

        m_wndSplitter.CreateView(0, 0, RUNTIME_CLASS(CMetafileTreeView), CSize(300,100), pContext);
        m_wndSplitter.CreateView(0, 1, RUNTIME_CLASS(CControlView), CSize(200,100), pContext);
        m_wndSplitter.CreateView(0, 2, RUNTIME_CLASS(CImageView), CSize(100,100), pContext);
        return TRUE;
}

BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
        // TODO: Modify the Window class or styles here by modifying the CREATESTRUCT cs
        if( !CMDIChildWnd::PreCreateWindow(cs) )
                return FALSE;

        return TRUE;
}


// CChildFrame diagnostics

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
        CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
        CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG


// CChildFrame message handlers
