#pragma once
#include "msg.h"


/****************************************************************************
*                               IMG_QUERY_RECT
* Inputs:
*       WPARAM: (WPARAM)(CRect *) Rectangle to fill in
*       LPARAM: unused
* Result: LRESULT
*       Logically void, 0, always
* Effect: 
*       Obtains the client rectangle from the view set
* Notes:
*       This assumes there is only one image view; it is not really
*       well-defined if there were more than one image view
****************************************************************************/

DECLARE_MESSAGE(IMG_QUERY_RECT)

/****************************************************************************
*                                IMG_SEND_RECT
* Inputs:
*       WPARAM: (WPARAM)(CRect *) New client rectangle size
*       LPARAM: unused
* Result: LRESULT
*       Logically void, 0, always
* Effect: 
*       Sent when the client rectangle resizes
****************************************************************************/

DECLARE_MESSAGE(IMG_SEND_RECT)
